### Interface

# Nautilus ColumnProvider

#### Description [src]

    interface Nautilus.ColumnProvider : GObject.Object

Interface to provide additional list view columns

Allows extension to provide additional columns in the file manager list view.

#### Prerequisite

In order to implement ColumnProvider, your type must inherit from`GObject`.

#### Instance methods

###### nautilus_column_provider_get_columns

Provide a list of `NautilusColumn`.

#### Interface structure

    struct NautilusColumnProviderInterface {
      GTypeInterface g_iface;
      GList* (* get_columns) (
        NautilusColumnProvider* provider
      );

    }

No description available.

###### Interface members

`g_iface`

    GTypeInterface

| No description available.

`get_columns`

    GList* (* get_columns) (
        NautilusColumnProvider* provider
      )

| No description available.

#### Virtual methods

###### Nautilus.ColumnProvider.get_columns

Provide a list of `NautilusColumn`.